<?php
$_imagehelper = $this->helper('Magento\Catalog\Helper\Image');
$image = 'product_base_image';
$_hideCartHelper = $this->helper('Alogic\Customtheme\Helper\Data');
$isCartDisabled = $_hideCartHelper->getIsCartDisabled();
?>
<section id="anim-img2"> &nbsp;</section>
<section class="chr_explore_section">
<div class="container">
  <div class="row">
    <div class="col-lg-12 col-md-12 text-center">
      <h4>Explore our Works With Chromebook range</h4>
      <a href="#explore"><i class="fa fa-chevron-down"></i></a>
    </div>
  </div>
</div>
</section>
<section id="explore">
<div class="container">
  <div class="row vcenter" >
    <div class="col-md-8 col-lg-8">
      
      
      <div class="chr_pro_info">
        <?php $_categories = $block->getCategory(); ?>
        <?php foreach($_categories as $category): ?>
        <?php $catHref = str_replace(' ', '_', $category->getName()); ?>
        <?php $catHref = str_replace('&', '', $catHref); ?>
        <a href="#<?php echo $catHref; ?>" class="js-show-me-button" >
          <div class="circle-box-items show_section">

<?php
              if ($category->getImage()) :
              $_outputhelper    = $this->helper('Magento\Catalog\Helper\Output');
              $_imgHtml   = '';
              if ($_imgUrl = $category->getImage()) :
              $_imgHtml = $_outputhelper->categoryAttribute($category, $_imgHtml, 'image');
              $_imgHtml = '<img alt = "' . $block->escapeHtml($category->getName()) . '" class="img-responsive" src="' . $_imgUrl . '" />';
              echo $_imgHtml;
              endif;
              endif;
              ?>            </div>
            <span class="circle-caption" ><?php echo $category->getName(); ?></span>
          </a>
          <?php endforeach; ?>
          
        </div>
        
        <?php foreach($_categories as $category): ?>
        <?php $products = '';?>
        <?php $catHref = str_replace(' ', '_', $category->getName()); ?>
        <?php $catHref = str_replace('&', '', $catHref); ?>
        <?php
        if($category->getChildren()){
        $catChilds =  explode(',',$category->getChildren());
        }else{
        $catChilds = [$category->getId()];
        }
        
        $products = $block->getProductCollectionByCategories($catChilds);
        
                       /*echo "<pre>";
                         print_r($catChilds);*/
                         
          ?>
          <div class="show_full_div" id="<?php echo $catHref; ?>">
                                <div class="row chr_grey_bg">
                                     <div class="col-lg-4">
                <h2 class="chr_blue"><?php echo $category->getName(); ?></h2>
                                     </div>
                                     <div class="col-lg-8">
 <div class="row">
                                        <img src="https://alogic.co/media/wysiwyg/hub_img.png" alt="" class="img-responsive"/>
                                      </div>                                     </div>
                                </div>
                                <div class="row">
                                     <div class="owl-carousel owl-theme">
                <?php foreach ($products as $product) { ?>
                <?php $productImage = $_imagehelper->init($product, $image)->resize(400, 400)->getUrl(); ?>
                                          <div class="item">
                                               <div class="chr_product">
                                                    <div class="chr_content">
                                                         <div class="chr_content_overlay"></div>
                      <img class="img-responsive chr_content_image" src="<?php echo $productImage ?>" alt="<?php echo $product->getName(); ?>" />
                                                         
                                                         <div class="chr_content_details fadeIn-bottom">
                  <?php echo $product->getChromebookShortContent(); ?>
                                                         </div>
                                                    </div>
                <?php
                                                       $len = strlen($product->getName());
                                                       $productName = substr($product->getName(),0,40);
                                                       if($len > 50) {
                                                        $productName .= '...';
                                                       }
                                                    ?>
                    <h3><a href="<?php echo $product->getProductUrl(); ?>"><?php echo $productName;?></a>
                                                    </h3>
                                                    <?php if (!$isCartDisabled){ ?>
                    <?php if ($product->isSaleable()){ ?>
                                                <div>
                      <?php echo $block->getProductPrice($product) ?>
                      <?php $postParams = $block->getAddToCartPostParams($product);?>
                      <form data-role="tocart-form" action="<?php /* @escapeNotVerified */echo $this->getUrl('checkout/cart/add', ['uenc' => $postParams['data']['uenc'], 'product' => $postParams['data']['product']]); ?>" method="post">
                        <input type="hidden" name="product" value="<?php /* @escapeNotVerified */echo $postParams['data']['product']; ?>">
                        <input type="hidden" name="uenc" value="<?php /* @escapeNotVerified */echo $postParams['data']['uenc']; ?>">
                        <input name="form_key" type="hidden" value="<?php echo $this->getFormKey() ?>" />
                        <button class="btn-wrapper-btn btn btn-primary" type="submit" title="<?php /* @escapeNotVerified */echo __('Add to Cart') ?>">
                        <span class="text"><?php /* @escapeNotVerified */echo __('Add to Cart') ?></span>
                                                        </button>
                                                    </form>
                                                </div>
                    <?php }else{ ?>
                                                <div class="notify-box">
                                                    <div class="product alert notify-box-stock overriden">
                        <a href="javascript:;" title="Notify me when this product is in stock" class="action alert js-notify-window btn btn-primary" data-toggle="modal" data-target="#newsWindow" data-productid="<?php echo $product->getId(); ?>">Notify me when this <br />product is in stock</a>
                                                   </div>
                                                </div>
                    <?php }?>
                                                    <img src="https://alogic.co/media/wysiwyg/chrome_big.jpg" alt="" class="chr_chrome">
                                               </div>
                                          </div>
                <?php } ?>
                <?php } ?>
                                     </div>
                                </div>
                                <div class="row">
                                     <div class="col-lg-12 col-md-12 text-center">
                                          <a href="#" class="chr_close"><i class="fa fa-chevron-up"></i></a>
                                     </div>
                                </div>
                           </div>
          <?php endforeach; ?>
                    </div>
                  </div>
             </div>
     </div>
   </section>
<script type="text/javascript">
         require(['jquery', 'mgs/owlcarousel'], function($) {
             $(document).ready(function() {
         
                 function isVisible($el) {
                     var winTop = $(window).scrollTop();
                     var winBottom = winTop + $(window).height();
                     var elTop = $el.offset().top;
                     var elBottom = elTop + $el.height();
                     return ((elBottom <= winBottom) && (elTop >= winTop));
                 }
                 $(function() {
         
                     $(window).scroll(function() {
                        
                     });
                 });
         
                 $(".chr_explore_section a").click(function() {
                     event.preventDefault();
                     $('html, body').animate({
                         scrollTop: $("#explore").offset().top-140
                     }, 2000);
                 });
         
         
         
                 $('.owl-carousel').owlCarousel({
                     loop: false,
                     margin: 20,
                     //nav:true,
                     responsive: {
                         0: {
                             items: 1
                         },
                         600: {
                             items: 3
                         },
                         1000: {
                             items: 3
                         }
                     }
                 });
                     $('.show_full_div').hide();
                 $('a.js-show-me-button').on('click', function(event) {
                     event.preventDefault();
                     //alert('jj');
                     $('.show_full_div').hide()
                     var target = $(this).attr('href');
         
                     $('.show_full_div' + target).slideToggle(2000, function(){
            if ($(this).is(":visible")) { //Check to see if element is visible then scroll to it
              $('html,body').animate({ //animate the scroll
                scrollTop: $(this).offset().top - 140 // the - 25 is to stop the scroll 25px above the element
              }, "slow")
            }
           });
         
                 });
         
                 $(".chr_close").click(function() {
                  event.preventDefault();
                  $(".show_full_div").slideUp(2000);
                  $('html, body').animate({
                    scrollTop: $("#explore").offset().top-140
                  }, 2000);
                });
             });
         });
           
</script>
